[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: QEMU Automated Testing (was [Qemu-devel] qemu Makefile.target vl.h h

From: Andreas Färber
Subject: Re: QEMU Automated Testing (was [Qemu-devel] qemu Makefile.target vl.h hw/acpi.c hw/adlib.c ...)
Date: Sun, 29 Jul 2007 17:31:21 +0200

Am 28.07.2007 um 12:36 schrieb Thiemo Seufer:

qemu seems to expect everyone to patch it herself instead of fixing
problems in the repository at their origin. Major example being qemu
clinging on to GCC 3.x instead of supporting both 3 and 4 by updating and
integrating the existing patches that worked for 0.9.0.

The patches I remember did either break other compilers or were a
maintenance nightmare of postprocessed assembler output.

I didn't say the particular patch was perfect, I can't tell. All I know is that there are platforms that don't have a GCC 3.x (the Intel Macs for instance), and syncing the existing 0.9.0 patches with CVS HEAD is like shooting for a running target - I didn't manage to successfully update the patch, it crashed badly. Having some initial, conditional support for GCC 4 (e.g. --enable-gcc4 or depending on $CC version) would be good. Do you know where exactly the problem is between the versions and what needs to be done to have it working (again)?


reply via email to

[Prev in Thread] Current Thread [Next in Thread]